// package types -- типизация дял сервиса
package types

import "context"

// IService -- сервис шины данных
type IService interface {
	// Ctx -- возвращает контекст приложения
	Ctx() context.Context
	// CancelApp -- отменяет контекст приложения
	CancelApp()
	// DictTopic -- возвращает потокобезопасный словарь топиков
	DictTopic() IDictTopic
}
